[% BLOCK file_format_block %]
    <fieldset>
        <legend>Selecteer een formaat</legend>

        [% FOREACH file_format IN object_type.file_formats %]
        <label>
            <input
                type="radio"
                name="file_format"
                value="[% file_format.type %]"
                [% IF(file_format.type == c.req.param('file_format')) %]
                [% show_upload_block = 1 %]
                checked="checked"
                [% END %]
            />
            [% file_format.label %]
            [% IF file_format.type == 'inav' %]
                <i class="icon-font-awesome icon-question-sign" data-ng-click="openPopup()"
 data-zs-popup="'/html/popup/inavigator.html'" data-zs-title="Klik voor uitleg"></i>
            [% END %]

            <br />
        </label>
        [% END %]
    </fieldset>

    [% IF show_upload_block %]
        [% PROCESS file_upload_block %]
    [% END %]
[% END %]

[% BLOCK file_upload_block %]
    <fieldset id="file_upload" style="[% IF(!c.req.param('file_format')) %]display: none;[% END %]">
        <legend>Selecteer een bestand</legend>

        [% PROCESS widgets/general/mintloader.tt
            veldoptie_name = 'file'
            send_to_upload = 1
        %]
    </fieldset>
[% END %]

<fieldset>
    <legend>Selecteer objecttype</legend>

    [% FOREACH object_type IN object_types %]
    <label>
        <input
            type="radio"
            name="object_type"
            value="[% object_type.type %]"
            [% IF(object_type.type == c.req.param('object_type')) %]
            checked="checked"
            [% END %]
        />

        [% object_type.label %]<br />
    </label>
    [% END %]
</fieldset>

[% FOREACH object_type IN object_types %]
    [% IF object_type.type == c.req.param('object_type') %]
        [% PROCESS file_format_block %]
    [% END %]
[% END %]

<div class="form-actions clearfix">
    <input type="hidden" name="library_id" value="[% library_id %]" />
    <input type="submit" class="button button-primary" value="Volgende" />
</div>


<script type="text/ng-template" id="/html/popup/inavigator.html">
[% PROCESS beheer/object/help/inavigator.tt %]
</script>
